org.apache.sis.metadata.iso.content

## Class DefaultRangeDimension

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultRangeDimension

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, RangeDimension
  Direct Known Subclasses:
    DefaultSampleDimension

      @TitleProperty(name="sequenceIdentifier")
      public class DefaultRangeDimension
      extends ISOMetadata
      implements RangeDimension

  Information on the range of each dimension of a cell measurement value.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRangeDimension()` Constructs an initially empty range dimension.
    `DefaultRangeDimension(RangeDimension object)` Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultRangeDimension` | `castOrCopy(RangeDimension object)` Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `InternationalString` | `getDescription()` Returns the description of the attribute.
    `InternationalString` | `getDescriptor()` Deprecated. As of ISO 19115:2014, renamed `getDescription()`.
    `Collection<Identifier>` | `getNames()` Returns the identifiers for each attribute included in the resource.
    `MemberName` | `getSequenceIdentifier()` Returns a unique name or number that identifies attributes included in the coverage.
    `void` | `setDescription(InternationalString newValue)` Sets the description of the attribute.
    `void` | `setDescriptor(InternationalString newValue)` Deprecated. As of ISO 19115:2014, renamed `setDescription(InternationalString)`.
    `void` | `setNames(Collection<? extends Identifier> newValues)` Sets the identifiers for each attribute included in the resource.
    `void` | `setSequenceIdentifier(MemberName newValue)` Sets the name or number that uniquely identifies instances of bands of wavelengths on which a sensor operates.

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRangeDimension

          public DefaultRangeDimension()

      Constructs an initially empty range dimension.

    - #### DefaultRangeDimension

          public DefaultRangeDimension(RangeDimension object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(RangeDimension)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultRangeDimension castOrCopy(RangeDimension object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is an instance of `SampleDimension`, then this method delegates to the `castOrCopy(…)` method of the corresponding SIS subclass.
      - Otherwise if the given object is already an instance of `DefaultRangeDimension`, then it is returned unchanged.
      - Otherwise a new `DefaultRangeDimension` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getSequenceIdentifier

          public MemberName getSequenceIdentifier()

      Returns a unique name or number that identifies attributes included in the coverage.
      Specified by:
        `getSequenceIdentifier` in interface `RangeDimension`
      Returns:
        unique name or number, or `null`.

    - #### setSequenceIdentifier

          public void setSequenceIdentifier(MemberName newValue)

      Sets the name or number that uniquely identifies instances of bands of wavelengths on which a sensor operates.
      Parameters:
        `newValue` - the new sequence identifier.

    - #### getDescription

          @UML(identifier="description",
               obligation=OPTIONAL,
               specification=ISO_19115)
          public InternationalString getDescription()

      Returns the description of the attribute.
      Returns:
        description of the attribute, or `null`.
      Since:
        0.5

    - #### setDescription

          public void setDescription(InternationalString newValue)

      Sets the description of the attribute.
      Parameters:
        `newValue` - the new description.
      Since:
        0.5

    - #### getDescriptor

          @Deprecated
          public InternationalString getDescriptor()

      Deprecated. As of ISO 19115:2014, renamed `getDescription()`.
      Returns the description of the range of a cell measurement value. This method fetches the value from the description.
      Specified by:
        `getDescriptor` in interface `RangeDimension`
      Returns:
        description of the range of a cell measurement value, or `null`.

    - #### setDescriptor

          @Deprecated
          public void setDescriptor(InternationalString newValue)

      Deprecated. As of ISO 19115:2014, renamed `setDescription(InternationalString)`.
      Sets the description of the range of a cell measurement value. This method stores the value in the description.
      Parameters:
        `newValue` - the new descriptor.

    - #### getNames

          @UML(identifier="name",
               obligation=OPTIONAL,
               specification=ISO_19115)
          public Collection<Identifier> getNames()

      Returns the identifiers for each attribute included in the resource. These identifiers can be use to provide names for the attribute from a standard set of names.
      Returns:
        identifiers for each attribute included in the resource.
      Since:
        0.5

    - #### setNames

          public void setNames(Collection<? extends Identifier> newValues)

      Sets the identifiers for each attribute included in the resource.
      Parameters:
        `newValues` - the new identifiers for each attribute.
      Since:
        0.5

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.